tigase.auth.credentials.entries

## Class ScramCredentialsEntry

- java.lang.Object
- - tigase.auth.credentials.entries.ScramCredentialsEntry

- All Implemented Interfaces:
    Credentials.Entry
  Direct Known Subclasses:
    ScramSha1CredentialsEntry, ScramSha256CredentialsEntry, ScramSha512CredentialsEntry

      public class ScramCredentialsEntry
      extends Object
      implements Credentials.Entry

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScramCredentialsEntry.Decoder`
    `static class` | `ScramCredentialsEntry.Encoder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScramCredentialsEntry(String algorithm, byte[] salt, int iterations, byte[] saltedPassword)`
    `ScramCredentialsEntry(String algorithm, PlainCredentialsEntry entry)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIterations()`
    `String` | `getMechanism()` Name of the mechanism for which it will work
    `byte[]` | `getSalt()`
    `byte[]` | `getSaltedPassword()`
    `boolean` | `verifyPlainPassword(String password)` Check if plaintext password will match stored credential

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScramCredentialsEntry

          public ScramCredentialsEntry(String algorithm,
                                       PlainCredentialsEntry entry)
                                throws NoSuchAlgorithmException,
                                       InvalidKeyException

      Throws:
        `NoSuchAlgorithmException`
        `InvalidKeyException`

    - #### ScramCredentialsEntry

          public ScramCredentialsEntry(String algorithm,
                                       byte[] salt,
                                       int iterations,
                                       byte[] saltedPassword)

  - ### Method Detail

    - #### getSalt

          public byte[] getSalt()

    - #### getSaltedPassword

          public byte[] getSaltedPassword()

    - #### getIterations

          public int getIterations()

    - #### getMechanism

          public String getMechanism()

      Description copied from interface: `Credentials.Entry`
      Name of the mechanism for which it will work
      Specified by:
        `getMechanism` in interface `Credentials.Entry`

    - #### verifyPlainPassword

          public boolean verifyPlainPassword(String password)

      Description copied from interface: `Credentials.Entry`
      Check if plaintext password will match stored credential
      Specified by:
        `verifyPlainPassword` in interface `Credentials.Entry`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.